a, body {
    font-family: 'Montserrat', sans-serif;
}                        
@media (min-width:1200px) {
    .lg\:min-w-215px {
    min-width: 215px !important;
    }
}
.container-siwa {
    --bs-gutter-x: 32px;
    --bs-gutter-y: 0;
    width: 100%;
    padding-right: calc(var(--bs-gutter-x) * .5);
    padding-left: calc(var(--bs-gutter-x) * .5);
}
max-w-xl-siwa {
    max-width: 1280px !important;
}                                     
.lg\:fs-2 {
    font-size: 20px !important;
}
.judul{
    font-family: 'Inter' !important;            
    font-weight: bold !important;                
}
#navbar {
    transition: background-color 0.3s ease, box-shadow 0.3s ease;
}
.navbar-text {
    font-weight: bold !important;
}
.navbar-text:hover {
    color: #c81c1c;
}            
.home-icon {
    display: none;
}
.sticky-active .home-text {
    display: none;
}
.sticky-active .home-icon {
    display: inline;
}
.photo-count {
    position: relative;
    top: 0px;     
    right: 0px;   
    background-color: rgba(0, 0, 0, 0.7); /* background gelap transparan */
    color: white;
    padding: 4px 8px;
    border-radius: 5px;
    font-size: 14px;
    display: inline-flex; /* mengikuti ukuran konten */
    align-items: center;
    gap: 4px; /* jarak icon & teks */
    white-space: nowrap; /* mencegah teks turun ke bawah */
}
.photo-count img {
    width: 16px;
    height: 16px;                
}
.hidden-force {
    display: none !important;
}
.no-hidden {
    display: block !important;
}
.flex {
    display: flex !important;
    inset: 0 !important;
}
.uc-navbar-sticky {
    background-color: white !important; /* ubah background jadi hitam */                
    /*border-bottom: 2px solid rgb(234, 67, 53) !important;*/
    border-bottom: 4px solid #21409a !important;                
}
.uc-navbar-sticky .nav-x li a {
    color: black !important; /* teks menu jadi hitam */
    font-weight: bold !important;
}
.uc-navbar-sticky .nav-x li a:hover{
    color: red !important; /* teks menu jadi merah saat di hover */
    font-weight: bold !important;
}
/* Default: tampilkan semua menu */
.nav-full {
display: flex;
}
.nav-mini {
display: none;
}

/* Saat sticky, sembunyikan menu lain dan tampilkan hanya Home */
.uc-navbar-sticky .nav-full {
display: none !important;
}
.uc-navbar-sticky .nav-mini {
display: flex !important;
}
/* Saat sticky -> geser ke kiri */
.uc-navbar-sticky .uc-navbar-center {
    justify-content: flex-start !important;
}
#video-modal {
    position: fixed;
    top: 0;
    left: 0;                
    background-color: rgba(0, 0, 0, 0.7); /* abu-abu transparan */
    display: none; /* disembunyikan dulu */
    justify-content: center;
    align-items: center;
    z-index: 9999;
}
#video-modal.show {
    display: flex; /* ketika muncul, pakai flex biar konten ditengah */
}
.bg-navbar-siwa {
    background: linear-gradient(100deg, #21409a 50%, #5699f3 100%);
}
.bg-headline {
    background: linear-gradient(
        to bottom,
        rgba(255, 255, 255, 0) 60%,   /* Transparan di atas */
        rgb(0, 0, 0) 100%       /* Gelap di bawah */
    );
}                    
.bg-footer-siwa {
    background-color: rgb(240, 239, 239) !important;
}
.text-footer {
    color:rgb(29, 28, 28)
}
.sidenav {
    height: 100%;
    width: 0;
    position: fixed;
    z-index: 1;
    top: 0;
    right: 0;
    background-color: #fdfdfd;
    overflow-x: hidden;
    transition: 0.5s;
}
.sidenav a {
    padding: 8px 8px 8px 32px;
    text-decoration: none;
    font-size: 14px;
    color: #818181;
    display: block;
    transition: 0.3s;
    font-weight: bold;
}
.sidenav a:hover {
    color: #c81c1c;
}
.sidenav .closebtn {
    position: absolute;
    top: 0;
    right: 25px;
    font-size: 36px;
    margin-left: 50px;
}
.headline-font-size {
    font-size: 27px;
    line-height: 1.2;
}
.post-media:hover .judul {
    color: #fcc43f !important;
    font-weight: bold !important;
    font-family: 'Inter' !important;
}
.bg-blue-siwa {
    background-color: #ee3333 !important;
}
.border-bottom-siwa {
    border-bottom: 4px solid #21409a !important;
}           
.marquee {
    width: 100%;
    overflow: hidden;
    white-space: nowrap;           
}
.marquee p {
    display: inline-block;
    padding-left: 100%; /* mulai dari kanan layar */
    animation: marquee 120s linear infinite;
}
@keyframes marquee {
    0%   { transform: translateX(0%); }
    100% { transform: translateX(-100%); }
}
.flashnews-title-siwa
{
    background: #c81c1c;
    width: 20%;
    position: relative;
    color: white;
    font-weight: bold;
    font-size: 16px;                
}
.flashnews-title-siwa::after
{
    position: absolute;
    content: "";
    right: -22%;
    border-left: 18px solid #c81c1c;
    border-top: 12px solid transparent;
    border-right: 18px solid transparent;
    border-bottom: 12px solid transparent;
    top: 0;                
}
.flashnews-news-siwa {
    background: white;
    width: 80%;
    padding: 0 0 0 22px;
    color: black;
}
.flashnews-koran-siwa
{
    background: #c81c1c;
    width: 20%;
    position: relative;
    color: white;
    font-weight: bold;
    font-size: 16px;                
}
.flashnews-koran-siwa::after
{
    position: absolute;
    content: "";
    right: -35%;
    border-left: 18px solid #c81c1c;
    border-top: 12px solid transparent;
    border-right: 18px solid transparent;
    border-bottom: 12px solid transparent;
    top: 0;                
}
.flashnews-news-siwa:hover .marquee p {
    animation-play-state: paused;
    cursor: pointer;
}
.height-beritaterkait-siwa
{
    height: 86px;
}            
.garis-siwa {
    width: 83%;
    margin-left: 20px;
    margin-top: 10px;
    background: rgba(255, 255, 255, 0.1);
    height: 1.5px;
}
.hover\:text-orange-siwa:hover {
    color: #fcc43f !important;
}
.group:hover .group-hover\:text-orange-siwa {
    color: #fcc43f !important;
}
.text-orange-siwa {
    color: #fcc43f !important;
}
.hover\:text-blue-siwa:hover {
    color: #21409a !important;
}
.text-blue-siwa {
    color: #21409a !important;
}
p+p {
    margin-top: 19px !important;
}
.isi {
    font-family: 'Inter', Arial, Tahoma, sans-serif !important;
    font-size: 20px !important;
    line-height: 33px !important;
    font-weight: 400 !important;                
}
.baca-juga {
    border-left: 4px solid #21409a;
}
.tags-container-siwa {
    display: flex;
    flex-wrap: wrap;
    gap: 8px; /* jarak antar tag */
}
.border-tag-siwa {
    border: 1px solid white !important;
    border-radius: 10px;
}
.pagination-list {
    display: inline-flex;
    list-style: none;
    padding: 0;
    margin: 0;
    gap: 5px;
    font-size: 12px;
}
.page-item {
    display: inline;
}
.page-link {
    border: 1px solid #ccc;
    padding: 3px 12px;
    cursor: pointer;
    background-color: white;
    color: #007bff;
    border-radius: 3px;
    transition: background-color 0.2s;
}
.page-link:hover {
    background-color: #e9ecef;
}
.page-link.active {
    background-color: #007bff;
    color: white;
    border-color: #007bff;
}
.page-link:disabled {
    color: #ccc;
    cursor: not-allowed;
    background-color: #f8f9fa;
}
.share-menu {
    display: none;
}
.popup-container {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0,0,0,0.7);
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 9999;
}
.popup-image {
    position: relative;
    background: #fff;
    border-radius: 10px;
    overflow: hidden;
    max-width: 400px;
    width: 90%;
    box-shadow: 0 4px 20px rgba(0,0,0,0.3);
}
.close-popup {    
    position: absolute;
    top: 1px;
    right: 1px;
    background: #f44336;
    color: white;
    border: none;
    border-radius: 50%;
    width: 24px;
    height: 24px;
    font-size: 14px;
    cursor: pointer;
}
.popup-image-box {
    width: 100%; 
    display: block;
}